boolset.h File Reference

Provides various types that extend the standard boolean. More...

`#include <iostream>`
`#include "regina-core.h"`

## Classes

class | regina::BoolSet
| A set of booleans. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef BoolSet | regina::NBoolSet
| Deprecated typedef for backward compatibility. More...

## Functions

std::ostream & | regina::operator<< (std::ostream &out, const BoolSet &set)
| Writes the given boolean set to the given output stream. More...

## Detailed Description

Provides various types that extend the standard boolean.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).